Forward API リファレンス。
Description
Retrieves a single Credential from the specified Vault. Authentication information is returned in redacted form.
パス
GET /api/v1/forward/vaults/{id}/credentials/{cred_id}
リクエストヘッダー
| ヘッダー | 必須 | 説明 |
|---|---|---|
Authorization | はい | Bearer <PAT または SAT> |
パス参数
| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | はい | Vault ID。 |
cred_id | string | はい | Credential ID。 |
リクエスト例
レスポンス例
HTTP 200 OK
レスポンスフィールド
The response is a Vault credential object. See Credential auth object for the variants selected by auth.type.
エラー
| HTTP | Type | 発生条件 |
|---|---|---|
| 400 | invalid_request_error | リクエストボディ、パスパラメーター、またはクエリパラメーターが不正です。 |
| 401 | authentication_error | 認証トークンがないか、無効です。 |
| 403 | permission_error | 呼び出し元にはこのリソースへのアクセス権限がありません。 |
| 404 | not_found_error | リソースが存在しないか、参照できません。 |
| 500/502/503 | api_error | Forward または依存サービスでエラーが発生しました。 |